# norootforbuild

BuildRequires:  gtk2-devel gcc-c++ intltool gnome-doc-utils libjpeg-devel libtiff-devel
%if 0%{?suse_version}
BuildRequires:  liblcms-devel update-desktop-files
%define docname	%{name}
%else
BuildRequires:  lcms-devel
%define docname	%{name}-%{version}
%endif
%if 0%{?suse_version} >= 201210
BuildRequires:  libexiv2-devel
%endif
%if 0%{?fedora_version}
BuildRequires:  exiv2-devel
%endif
%if 0%{?mandriva_version} > 2007
%ifarch x86_64
BuildRequires:  lib64exiv2-devel
%else
BuildRequires:  libexiv2-devel
%endif
%endif


Summary:        Graphics file browser utility
Summary(fr):    Explorateur de fichiers graphiques
Summary(es):    Navegador de archivos gráficos
Summary(it):    Visualizzatore di archivi grafici
Name:           geeqie
Version:        1.1
Release:        1.1
License:        GNU General Public License version 2 or later (GPL v2 or later)
Group:          Productivity/Graphics/Viewers
Source:         geeqie-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://geeqie.sourceforge.net/
#
# these are requirements of the plugins
Requires: exiv2 exiftran ImageMagick ufraw

%description
Geeqie is a browser for graphics files.
Offering single click viewing of your graphics files.
Includes thumbnail view, zoom and filtering features.
And external editor support.

%description -l fr
Geeqie est un explorateur de fichiers graphiques.
Il permet d'un simple clic l'affichage de vos fichiers graphiques.
Les capacités suivantes sont incluses: vue d'imagettes, zoom,
filtres et support d'éditeurs externes.

%description -l es
Geeqie es un navegador de archivos gráficos.
Ofrece visualizar sus archivos gráficos con sólo hacer un clic.
Incluye visualización de miniaturas, zoom, filtros y soporte para
editores externos.

%description -l it
Geeqie è un visualizzatore di archivi grafici.
Offre la possibilità di visualizzare i tuoi files grafici grazie ad un singolo
click.
Include la rappresentazione tramite miniature e gli strumenti di zoom e
filtraggio.
Supporta anche l'uso di editor grafici esterni.

%prep
%setup -q

%build
%configure --with-readmedir="%{_docdir}/%{docname}"


%__make %{?jobs:-j%{jobs}}

%install
make install DESTDIR=%{buildroot}

%if 0%{?suse_version} >= 201200
%suse_update_desktop_file -n geeqie
%endif

%__install -m 644 AUTHORS COPYING ChangeLog NEWS README README.lirc "%{buildroot}/%{_docdir}/%{docname}/"

%clean
%__rm -rf "%{buildroot}"

%files 
%defattr(-,root,root)
%doc %{_docdir}/%{docname}
%{_bindir}/geeqie*
%{_datadir}/geeqie
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/applications/geeqie.desktop
%{_datadir}/pixmaps/geeqie.png
%{_mandir}/man1/geeqie*
%{_prefix}/lib/geeqie

%changelog
* Thu Feb 07 2013 Johnny Brinsko <tripgod@fuduntu.org> - 1.1-1.1
- Built for Fuduntu

* Tue Jul 31 2012 nadvornik@suse.com
-  updated to 1.1
* Wed Feb 17 2010 nadvornik@novell.com
- updated to 1.0
* Thu Jul 30 2009 nadvornik@novell.com
- added fixes and translations from current svn
* Thu Jul  2 2009 nadvornik@novell.com
- updated to 1.0beta2
* Wed May 13 2009 nadvornik@suse.cz
- updated to 1.0beta1
* Sun Jan 25 2009 nadvornik@suse.cz
- updated to 1.0alpha3
* Sat Jul 26 2008 nadvornik@suse.cz
- updated to 1.0alpha2 testing snapshot
* Tue Apr 22 2008 nadvornik@suse.cz
- updated to the first official Geeqie release, 1.0alpha1
* Thu Jan 24 2008 nadvornik@suse.cz
- new package, based on gqview package from OBS
* Wed Oct 17 2007 guru@unixtech.be
- update to 2.1.5
- added liblcms support for color management (new feature in 2.1.5)
- fixed prefix for 10.3
- added debug_info
* Thu Mar  9 2006 mmarek@suse.cz
- removed unneeded build dependencies
* Thu Feb 23 2006 sbrabec@suse.cz
- Updated Categories, move to Photography (#130232).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 sbrabec@suse.cz
- Updated to version 2.1.1.
* Wed Aug  3 2005 sbrabec@suse.cz
- Updated to version 2.0.1.
* Mon Feb 28 2005 sbrabec@suse.cz
- Updated to version 2.0.0.
* Wed Feb 16 2005 sbrabec@suse.cz
- Updated to version 1.5.9.
* Thu Feb 10 2005 sbrabec@suse.cz
- Updated to version 1.5.8.
* Tue Feb  1 2005 sbrabec@suse.cz
- Updated to version 1.5.7.
* Mon Jan 10 2005 sbrabec@suse.cz
- Updated to version 1.5.6.
* Tue Nov  2 2004 ro@suse.de
- locale rename: no -> nb
* Mon Aug  2 2004 ro@suse.de
- recode desktop file to utf-8
* Mon Mar 15 2004 sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Mon Feb 23 2004 sbrabec@suse.cz
- Updated to version 1.4.0.
* Thu Feb 12 2004 sbrabec@suse.cz
- Updated to version 1.3.9.
* Mon Oct 20 2003 meissner@suse.de
- suse_update_config, so we detect ppc64.
* Sun Sep  7 2003 adrian@suse.de
- update desktop file
* Wed Aug 27 2003 sbrabec@suse.cz
- Updated to version 1.3.2.
* Mon Jun 23 2003 ro@suse.de
- use find_lang to find localization files
* Fri Feb  1 2002 egmont@suselinux.hu
- Update to 1.0.2
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Jan  8 2002 egmont@suselinux.hu
- Update to 1.0.1
* Mon Dec 17 2001 egmont@suselinux.hu
- Update to 1.0
- bzip2 source
* Mon Dec 10 2001 egmont@suselinux.hu
- Initial release: gqview-0.99.3 (aka 1.0-RC1)
